using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities
{
    public partial class FmsWorkCodeEmergency
    {
        public FmsWorkCodeEmergency()
        {
            FmsWorkOrder = new HashSet<FmsWorkOrder>();
        }

        [Key]
        public int SiteId { get; set; }
        [Key]
        public int EmergencyId { get; set; }
        [StringLength(50)]
        public string Name { get; set; }
        public bool? IsUse { get; set; }

        [ForeignKey(nameof(SiteId))]
        [InverseProperty(nameof(CmSite.FmsWorkCodeEmergency))]
        public virtual CmSite Site { get; set; }
        [InverseProperty("FmsWorkCodeEmergency")]
        public virtual ICollection<FmsWorkOrder> FmsWorkOrder { get; set; }
    }
}
